Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gdk::EventVisibility Class Reference

A GdkEventVisibility C++ wrapper class. More...

`#include <xfc/gdk/events.hh>`

Inheritance diagram for Xfc::Gdk::EventVisibility:

List of all members.

## Public Member Functions

Accessors

- GdkEventVisibility * gdk_event_visibility () const
    Get a pointer to the GdkEventVisibility structure.
- VisibilityState state () const
    Returns the new visibility state (VISIBILITY_FULLY_OBSCURED, VISIBILITY_PARTIAL or VISIBILITY_UNOBSCURED).

## Detailed Description

A GdkEventVisibility C++ wrapper class.

An EventVisibility is generated when the window visibility status has changed.

The event type is VISIBILITY_NOTIFY.

The documentation for this class was generated from the following file:

- events.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3